
QGIS Application - Bug report #18975

QGIS Crash Report

2018-05-17 05:10 PM - Shaun Martin

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.0.2 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26806

Description

User Feedback

Ran the Relief tool on a .dem file.  Crash occurred wtihin a second or so of running the tool.

Report Details

Crash ID: 8ac30e7eac7e66f83550931056eb08a6980aac44

Stack Trace

QgsRelief::optimiseClassBreaks :

QgsRelief::calculateOptimizedReliefClasses :

PyInit__analysis :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

std::basic_string<char,std::char_traits<char>,std::allocator<char> >::shrink_to_fit :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Get_data :

QgsProcessingAlgorithm::runPrepared :

QgsProcessingAlgRunnerTask::run :

std::_String_alloc<std::_String_base_types<char,std::allocator<char> > >::_Get_data :

QgsTask::start :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.2-Girona

QGIS code revision: commit:307d082e3d

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History
#1 - 2018-05-17 11:01 PM - Nyall Dawson

- Status changed from Open to Feedback

Any chance you could share the layer you were running it on?

#2 - 2018-08-15 11:56 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
